<?php

namespace App\Serp\Contracts;

use App\Serp\Data\SerpQuery;
use App\Serp\Data\SerpResponse;

interface SerpProvider
{
    public function key(): string;

    public function supports(SerpQuery $query): bool;

    public function search(SerpQuery $query): SerpResponse;
}
